Orxonox: orxonox::NetworkCallbackManager Class Reference

# orxonox::NetworkCallbackManager Class Reference

`#include <src/network/synchronisable/NetworkCallbackManager.h>`

List of all members.

## Static Public Member Functions

static void | callCallbacks ()
static void | deleteCallback (NetworkCallbackBase *cb)
static void | registerCallback (NetworkCallbackBase *cb)
static void | triggerCallback (NetworkCallbackBase *cb)

## Static Private Attributes

static std::set < NetworkCallbackBase * > | callbackSet_
static std::queue < NetworkCallbackBase * > | triggeredCallbacks_

## Member Function Documentation

void orxonox::NetworkCallbackManager::callCallbacks | ( |  | ) | `[static]`

References callbackSet_, and triggeredCallbacks_.

Referenced by orxonox::GamestateManager::processGamestates(), and orxonox::GamestateClient::processGamestates().

void orxonox::NetworkCallbackManager::deleteCallback | ( | NetworkCallbackBase * | cb | ) | `[static]`

References callbackSet_.

Referenced by orxonox::SynchronisableVariable< T >::~SynchronisableVariable().

void orxonox::NetworkCallbackManager::registerCallback | ( | NetworkCallbackBase * | cb | ) | `[static]`

References callbackSet_.

Referenced by orxonox::NetworkCallbackBase::NetworkCallbackBase().

void orxonox::NetworkCallbackManager::triggerCallback | ( | NetworkCallbackBase * | cb | ) | `[static]`

References triggeredCallbacks_.

Referenced by orxonox::SynchronisableVariableBidirectional< T >::putData(), and orxonox::SynchronisableVariable< T >::putData().

## Member Data Documentation

std::set< NetworkCallbackBase * > orxonox::NetworkCallbackManager::callbackSet_`[static, private]`

Referenced by callCallbacks(), deleteCallback(), and registerCallback().

std::queue< NetworkCallbackBase * > orxonox::NetworkCallbackManager::triggeredCallbacks_`[static, private]`

Referenced by callCallbacks(), and triggerCallback().

The documentation for this class was generated from the following files:

- src/network/synchronisable/NetworkCallbackManager.h
- src/network/synchronisable/NetworkCallbackManager.cc